summaryrefslogtreecommitdiffstats
path: root/libraries/hug/hug.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/hug/hug.SlackBuild')
-rw-r--r--libraries/hug/hug.SlackBuild94
1 files changed, 94 insertions, 0 deletions
diff --git a/libraries/hug/hug.SlackBuild b/libraries/hug/hug.SlackBuild
new file mode 100644
index 0000000000..878edf51da
--- /dev/null
+++ b/libraries/hug/hug.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for hug
+
+# Written by Steve Pledger <spledger91@yahoo.com>
+
+PRGNAM=hug
+VERSION=${VERSION:-0.30}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Version number may change, so figure out the real version
+SRCVER=$(grep 'REM Version' $CWD/hug.bac | tail -n1 | cut -d' ' -f3)
+
+if [ "$VERSION" != "$SRCVER" ]; then
+ cat <<EOF
+WARNING: The source version ($SRCVER) does not match the VERSION variable ($VERSION).
+To build anyway, run the SlackBuild like this:
+
+ VERSION=$SRCVER ./$PRGNAM.SlackBuild
+
+exiting...
+EOF
+
+ exit 1
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+
+cd $PRGNAM-$VERSION
+# Bacon creates a binary in the same location as the source, so copy the source file here.
+cat $CWD/hug.bac > hug.bac
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Build shared object "hug.so"
+bacon -p -o $(echo $SLKCFLAGS | sed -e 's: : -o :g') -f hug.bac
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+install -m 0755 hug.so $PKG/usr/lib${LIBDIRSUFFIX}
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/include
+sed -e 's:./hug.so:hug.so:' $CWD/hug_imports.bac > $PKG/usr/include/hug_imports.bac
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}